<?

/**
* Copyright (C) 2008 TemplatePlazza.com
* This file is part of the TPNiceSlideShow Component for Joomla 1.0.x,
* a Joomla! TPNiceSlideShow Component by TemplatePlazza.com
* Author: Jerry Wijaya (me@jerrywijaya.com)
* Email: info@templateplazza.com
*/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

error_reporting(E_ALL);

require_once( $mainframe->getPath( 'admin_html' ) );
require_once( $mainframe->getPath( 'class' ) );

$cid = mosGetParam($_REQUEST, 'cid', array(0));

if(!is_array($cid)){
  $cid = array($cid);
}

switch ($act) {
	case 'categories':
		TPNiceSlideShowCategories($task);
		break;
	case 'items':
		TPNiceSlideShowItems($task);
		break;
	default:
		HTML_TPNICESLIDESHOW::viewDefaultPage();
		break;
}

function TPNiceSlideShowCategories($task = null) {
	global $cid;
	switch ($task) {
		case 'new':
			TPNiceSlideShowCategories::edit( 0 );
			break;
	
		case 'edit':
			TPNiceSlideShowCategories::edit( intval( $cid[0] ) );
			break;
	
		case 'save':
		case 'apply':
			TPNiceSlideShowCategories::save($task);
			break;
	
		case 'remove':
			TPNiceSlideShowCategories::remove( $cid );
			break;
	
		case 'publish':
			TPNiceSlideShowCategories::publish( $cid, 1 );
			break;
	
		case 'unpublish':
			TPNiceSlideShowCategories::publish( $cid, 0 );
			break;
	
		case 'cancel':
			mosRedirect( 'index2.php?option=com_tpniceslideshow&act=categories' );
			break;

		case 'orderup':
		case 'orderdown':
			TPNiceSlideShowCategories::order( intval( $cid[0] ), ($task == 'orderup' ? -1 : 1) );
			break;

		case 'saveorder':
			TPNiceSlideShowCategories::saveOrder( $cid );
			break;

		default:
			TPNiceSlideShowCategories::show();
			break;
	}
}

function TPNiceSlideShowItems($task = null) {
	global $cid;
	switch ($task) {
		case 'new':
			TPNiceSlideShowItems::edit( 0 );
			break;
	
		case 'edit':
			TPNiceSlideShowItems::edit( intval( $cid[0] ) );
			break;
	
		case 'save':
		case 'apply':
			TPNiceSlideShowItems::save($task);
			break;
	
		case 'remove':
			TPNiceSlideShowItems::remove( $cid );
			break;
	
		case 'publish':
			TPNiceSlideShowItems::publish( $cid, 1 );
			break;
	
		case 'unpublish':
			TPNiceSlideShowItems::publish( $cid, 0 );
			break;
	
		case 'cancel':
			mosRedirect( 'index2.php?option=com_tpniceslideshow&act=items' );
			break;

		case 'orderup':
		case 'orderdown':
			TPNiceSlideShowItems::order( intval( $cid[0] ), ($task == 'orderup' ? -1 : 1) );
			break;

		case 'saveorder':
			TPNiceSlideShowItems::saveOrder( $cid );
			break;

		default:
			TPNiceSlideShowItems::show();
			break;
	}
}

?>