<?php


// ensure this file is being included by a parent file
defined('_VALID_MOS') or die('Direct Access to this location is not allowed.');

// ensure user has access to this function
if (!($acl->acl_check('administration', 'edit', 'users', $my->usertype, 'components', 'all') | $acl->acl_check('administration', 'edit', 'users', $my->usertype, 'components', 'com_tptopitem'))) {
	mosRedirect('index2.php', _NOT_AUTH);
}



require_once ($mainframe->getPath('admin_html'));
require_once ($mosConfig_absolute_path."/components/com_tptopitem/tptopitem.class.category.php");
require_once ($mosConfig_absolute_path."/components/com_tptopitem/tptopitem.class.item.php");

$bid = mosGetParam($_POST, 'bid', array (0));





switch ($task) {
	
	case "edit" :
		editCategory($option,array_pop($bid));
		break;

	case "new" :
		editCategory($option,0);
		break;
		
    case "cancelcateg":
   	 	cancelCategory($option);
    break;	
		
		
	case "savecateg" :	
		
		saveCategory($option);	
		break;
		
	case "removecateg" :
		removeCategory($bid, $option);
		break;
		
		
	case "item" :
		showItem($option);
		break;
		
	case "edititem" :
		editItem($option,array_pop($bid));
		break;
		
	case "newitem" :		
		editItem($option,0);
		break;
	case "saveitem" :
		saveItem($option);
		break;
		
	case "removeitem" :
		removeItem($bid, $option);
		break;
		
	case "cancelitem":
   	 	cancelItem($option);
    	break;	
		
	
	
	case 'saveorder':
		saveOrder( $bid );
	break;
	
	case 'orderup':
		orderContent( intval( $bid[0] ), -1, $option );
		break;

	case 'orderdown':
		orderContent( intval( $bid[0] ), 1, $option );
		break;

	
	default :
		showCategory($option);
		break;
}


function showCategory($option) {
	global $database, $mainframe, $mosConfig_list_limit;
	$limit = $mainframe->getUserStateFromRequest("viewlistlimit", 'limit', $mosConfig_list_limit);
	$limitstart = $mainframe->getUserStateFromRequest("view{$option}limitstart", 'limitstart', 0);
	
	$query = 'SELECT COUNT(*)'.	          
				' FROM #__tptop_category ';
     
	$database->setQuery( $query );
	$total = $database->loadResult();
	echo $database->getErrorMsg();	
	
	require_once ($GLOBALS['mosConfig_absolute_path'].'/administrator/includes/pageNavigation.php');
	$pageNav = new mosPageNav($total, $limitstart, $limit);
	
	$query = 'SELECT id,category_title,field2_title,field3_title'.
	          ' FROM  #__tptop_category '.	
			  ' LIMIT '.$pageNav->limitstart.','.$pageNav->limit;
	
	$database->setQuery($query);
	$rows = $database->loadObjectList();	
	HTML_AdminTpTopItem :: showCategory($rows,&$pageNav,&$option);

	
}

function editCategory($option,$bid) {
	global $database, $my, $mosConfig_live_site;	
	$row = new mosTpTopItem_Category($database);
	
	$is_edit =0;
	
	// load the row from the db table
	$row->load(intval($bid));	
	if($bid >0){
		$is_edit=1;
	}	
	HTML_AdminTpTopItem :: editCategory( $row, $option,$is_edit);
}

function cancelCategory($option) {
	
	global $database;	
	$row = new mosTpTopItem_Category($database);
	$row->bind($_POST);
	$row->checkin();
	mosRedirect("index2.php?option=$option");
}


function saveCategory($option){
	global $database, $my;
	global $mosConfig_absolute_path, $mosConfig_live_site;
	
	
	$category = new mosTpTopItem_Category($database);
	
	if (!$category->bind($_POST)) {
		echo "<script> alert('".$category->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}

	
	if (!$category->check()) {
		echo "<script> alert('".$category->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}
	if (!$category->store()) {
		echo "<script> alert('".$category->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}
	

	mosRedirect("index2.php?option=$option");
	
	
	
}

function removeCategory($bid, $option) {
	global $database;

	if (!is_array($bid) || count($bid) < 1 || (count($bid)==1 && $bid[0] ==0 )) {
		
			echo "<script> alert('Select an item to delete'); window.history.go(-1);</script>\n";
			exit;
		
		
	}	
	
	
	if (count($bid)) {
		$bids = implode(',', $bid);
		$database->setQuery("DELETE FROM #__tptop_category WHERE id IN ($bids)");
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
		//delete related item
		$database->setQuery("DELETE FROM #__tptop_item WHERE category_id IN ($bids)");
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
		
		
	}

	mosRedirect("index2.php?option=$option");
}

function showItem($option) {
	global $database, $mainframe, $mosConfig_list_limit;
	$limit = $mainframe->getUserStateFromRequest("viewlistlimit", 'limit', $mosConfig_list_limit);
	$limitstart = $mainframe->getUserStateFromRequest("view{$option}limitstart", 'limitstart', 0);
	
	$id_categ_default = mosGetParam($_REQUEST, 'id_categ', '0' );
	
	$query = 'SELECT COUNT(*)'.	          
			  ' FROM #__tptop_item';
	
	if($id_categ_default > 0){
   		$query .=" where category_id = ".$id_categ_default." ";	
   
    }	
     
	$database->setQuery( $query );
	$total = $database->loadResult();
	echo $database->getErrorMsg();	
	
	
	$categories[] = mosHTML :: makeOption('0', '----Select Category----');	
	$categories[] = mosHTML :: makeOption('-1', '----All Categories----');	
	$database->setQuery("SELECT id AS value, category_title AS text FROM #__tptop_category ORDER BY category_title");
	$categories = array_merge($categories, $database->loadObjectList());
	$javascript = 'onchange="document.adminForm.submit();"';
	$clist   = mosHTML :: selectList($categories, 'id_categ', 'class="inputbox" size="1" '.$javascript, 'value', 'text', $id_categ_default);	
	
	
	
	require_once ($GLOBALS['mosConfig_absolute_path'].'/administrator/includes/pageNavigation.php');
	$pageNav = new mosPageNav($total, $limitstart, $limit);
	



	$query = 'SELECT a.id,a.category_id,item,field2,field3,description,ordering,b.category_title'.
	          ' FROM  #__tptop_item a '.
			  ' LEFT JOIN #__tptop_category b'.
			  ' ON a.category_id = b.id' ;	
	
   	if($id_categ_default > 0){
   		$query  .=' where a.category_id = '.$id_categ_default;  
   	}	
	 
	$query  .= ' order by a.ordering '.
			   ' LIMIT '.$pageNav->limitstart.','.$pageNav->limit;
			  
	
	
	$database->setQuery($query);
	$rows = $database->loadObjectList();	
	
	if($id_categ_default > 0){
		$header = new mosTpTopItem_Category($database);	
		// load the row from the db table
		$header->load(intval($id_categ_default));	
	}
		
		
	HTML_AdminTpTopItem :: showItem($rows,&$pageNav,&$option,$clist,$header);

	
}



function editItem($option,$bid) {
	global $database, $my, $mosConfig_live_site;	
	$row = new mosTpTopItem_Item($database);
	
	
	$is_edit =0;
	
	// load the row from the db table
	$row->load(intval($bid));	
	if($bid >0){
		$is_edit=1;
	}
	
	
	$categories[] = mosHTML :: makeOption('0', '----Select Category----');	
	$database->setQuery("SELECT id AS value, category_title AS text FROM #__tptop_category ORDER BY category_title");
	$categories = array_merge($categories, $database->loadObjectList());
	
	$clist   = mosHTML :: selectList($categories, 'category_id', 'class="inputbox" size="1" ', 'value', 'text', $row->category_id);	
	
		
	HTML_AdminTpTopItem :: editItem( $row, $option,$is_edit,$clist);
}



function saveItem($option){
	global $database, $my;
	global $mosConfig_absolute_path, $mosConfig_live_site;
	
	
	$item = new mosTpTopItem_Item($database);
	
	if (!$item->bind($_POST)) {
		echo "<script> alert('".$item->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}

	
	if (!$item->check()) {
		echo "<script> alert('".$item->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}
	if (!$item->store()) {
		echo "<script> alert('".$item->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}
	

	mosRedirect("index2.php?option=$option&task=item");
	
	
	
}



function cancelItem($option) {
	
	global $database;	
	$row = new mosTpTopItem_Item($database);
	$row->bind($_POST);
	$row->checkin();
	mosRedirect("index2.php?option=$option&task=item");
}

function removeItem($bid, $option) {
	global $database;

	if (!is_array($bid) || count($bid) < 1 || (count($bid)==1 && $bid[0] ==0 )) {
		
			echo "<script> alert('Select an item to delete'); window.history.go(-1);</script>\n";
			exit;
		
		
	}	
	
	
	if (count($bid)) {
		$bids = implode(',', $bid);
		
		//delete related item
		$database->setQuery("DELETE FROM #__tptop_item WHERE id IN ($bids)");
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
		
		
	}

	mosRedirect("index2.php?option=$option&task=item");
}

function orderContent( $uid, $inc, $option ) {
	global $database;
   
	
	
	$row = new mosTpTopItem_Item($database);
	$row->load( (int)$uid );
	$row->move( $inc, "category_id = " . (int) $row->category_id);	

	//clean any existing cache files
	mosCache::cleanCache( 'com_tptopitem' );

	mosRedirect( 'index2.php?option=com_tptopitem&task=item');
}

function saveOrder( &$bid ) {
	global $database;	
	$total		= count( $bid );

	$order 		= josGetArrayInts( 'order' );
	
	$row 		= new mosTpTopItem_Item( $database );
	$conditions = array();

	// update ordering values
	for( $i=0; $i < $total; $i++ ) {
		$row->load( (int) $bid[$i] );
		if ($row->ordering != $order[$i]) {
			$row->ordering = $order[$i];
			if (!$row->store()) {
				echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
				exit();
			} // if
			// remember to updateOrder this group
			$condition = "category_id = " . (int) $row->category_id ;
			$found = false;
			foreach ( $conditions as $cond )
				if ($cond[1]==$condition) {
					$found = true;
					break;
				} // if
			if (!$found) $conditions[] = array($row->id, $condition);
		} // if
	} // for

	// execute updateOrder for each group
	foreach ( $conditions as $cond ) {
		$row->load( $cond[0] );
		$row->updateOrder( $cond[1] );
	} // foreach

	// clean any existing cache files
	mosCache::cleanCache( 'com_tptopitem' );
	$link = 'index2.php?option=com_tptopitem&task=item';	
	$msg 	= 'New ordering saved';
	
	mosRedirect($link, $msg );
	
	
} // saveOrder

//==============================================================================




?>