<?php
/**
* @version $Id: toolbar.tptopitem.html.php 
* @package Joomla
* @subpackage tptopitem
* @copyright Copyright (C) 2005 - 2006 Open Source Matters. All rights reserved.
* @license GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


/**
* @package Joomla
* @subpackage tptopitem
*/
class TOOLBAR_tptopitem 
{

	function _DEFAULT() {
		/*
		 * DEVNOTE: This should make sense by itself now... 
		 */
		JToolBarHelper::title( JText::_( 'Category Manager' ), 'generic.png' );    
		JToolBarHelper::custom( 'removecateg', 'delete.png', 'delete_f2.png', 'Delete', true, false ); 
		JToolBarHelper::custom( 'new', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		
	}
	
	function _EDIT_CATEG($edit) {
		
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Category' ) .': <small><small>[ '. $text .' ]</small></small>', 'generic.png' );

		JToolBarHelper::custom( 'savecateg', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::cancel( 'cancel', 'Close' );
		} else {
			JToolBarHelper::cancel();
		}
		
	}
	
	
	function _EDIT_ITEM($edit) {
		
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Item' ) .': <small><small>[ '. $text .' ]</small></small>', 'generic.png' );

		JToolBarHelper::custom( 'saveitem', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelitem', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
		} else {
			JToolBarHelper::cancel();
		}
		
	}
	
	function _ITEM() {
		/*
		 * DEVNOTE: This should make sense by itself now... 
		 */
		JToolBarHelper::title( JText::_( 'Item Manager' ), 'generic.png' );    
		JToolBarHelper::custom( 'removeitem', 'delete.png', 'delete_f2.png', 'Delete', true, false ); 
		JToolBarHelper::custom( 'newitem', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		
	}
}
?>
