<?php

/**
 * This file is a part of com_tpniceslideshow package
 * Author: http://www.templateplazza.com
 * Creator: Jerry Wijaya ( me@jerrywijaya.com )
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

require_once (JPATH_COMPONENT.DS.'helper'.DS.'helper.php');

if($controller = JRequest::getVar('controller')) 
// Require specific controller if requested
{
	require_once (JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php');
	if(file_exists( JPATH_COMPONENT.DS.'models'.DS.$controller.'.php' )) {
	  require_once( JPATH_COMPONENT.DS.'models'.DS.$controller.'.php' );
	}
  require_once( JPATH_COMPONENT.DS.'views'.DS.$controller.DS.'view.html.php' );
}
else 
// Require the base controller - default
{
	require_once (JPATH_COMPONENT.DS.'controllers'.DS.'default.php');
  require_once (JPATH_COMPONENT.DS.'views'.DS.'default'.DS.'view.html.php');
}

// Create the controller
$classname  = 'TPNiceSlideShowController_'.$controller;
//echo $classname;
//echo JRequest::getVar('task' );

//exit;
$controller = new $classname( array('default_task' => 'display') );
//$controller = new $classname();

// Perform the Request task
$controller->execute( JRequest::getVar('task' ));

// Redirect if set by the controller
$controller->redirect();
 
?>