<?php

/**
 * This file is a part of com_tpniceslideshow package
 * Author: http://www.templateplazza.com
 * Creator: Jerry Wijaya ( me@jerrywijaya.com )
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

class TPNiceSlideShowModelCategory extends JModel
{

	var $_table = '#__tpniceslideshow_categories';

	function __construct()
	{
		parent::__construct();

		$array = JRequest::getVar('cid',  0, '', 'array');
		$this->setId((int)$array[0]);
	}

	function setId($id)
	{
		$this->_id		= $id;
		$this->_data	= null;
	}

	function &getData()
	{
		if (empty( $this->_data )) {
			$query = ' SELECT * FROM #__tpniceslideshow_categories '.
					'  WHERE id = '.$this->_id;
			$this->_db->setQuery( $query );
			$this->_data = $this->_db->loadObject();
		}
		if (!$this->_data) {
			$this->_data = new stdClass();
			$this->_data->id = 0;
			$this->_data->title = null;
			$this->_data->img_max_width = null;
			$this->_data->img_max_height = null;
			$this->_data->thumb_max_width = null;
			$this->_data->thumb_max_height = null;
		}
		return $this->_data;
	}

	function store()	{
		$row =& $this->getTable();
						
		$data = JRequest::get( 'post' );

		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		
		if (!$row->store()) {
			$this->setError( $row->getErrorMsg() );
			return false;
		}

		return true;
	}

	function delete()
	{
		$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
		
		$row =& $this->getTable();
		
		if (count( $cids ))		{
			$db	=& JFactory::getDBO();
			foreach($cids as $cid) {
				$db->setQuery("SELECT count(*) FROM #__tpniceslideshow WHERE category=$cid");
				if($db->loadResult()<=0) {
					if (!$row->delete( $cid )) {
						$this->setError( $row->getErrorMsg() );
						return false;
					}
				}
			}						
		}
		return true;
	}
	
	function publish($publish) {
		$cid = JRequest::getVar( 'cid', array(0), 'post', 'array' );

		JArrayHelper::toInteger($cid);
	
		if ( count( $cid ) < 1 ) {
			$action = $publish ? 'publish' : 'unpublish';
			JError::raiseError(500, JText::_( 'Select a category to '.$action, true ) );
		}
		
		$cids = implode( ',', $cid );
		$count = count( $cid );
		$query = 'UPDATE #__tpniceslideshow_categories'
		. ' SET published = '.(int) $publish
		. ' WHERE id IN ( '.$cids.' )'
		;

		$db =& JFactory::getDBO();
		$db->setQuery( $query );
		if (!$db->query()) {
			JError::raiseError(500, $db->getErrorMsg() );
		}
	
	}

	function orderSection( $uid, $inc )
	{
		$row =& $this->getTable();
		$row->load( $uid );
		$row->move( $inc );
	}

	function saveOrder( &$cid )
	{
		$row =& $this->getTable();
	
		$total		= count( $cid );
		$order		= JRequest::getVar( 'order', array(0), 'post', 'array' );
		JArrayHelper::toInteger($order, array(0));
	
		// update ordering values
		for( $i=0; $i < $total; $i++ )
		{
			$row->load( (int) $cid[$i] );
			if ($row->ordering != $order[$i]) {
				$row->ordering = $order[$i];
				if (!$row->store()) {
					JError::raiseError(500, $db->getErrorMsg() );
				}
			}
		}
	
		$row->reorder();
	}

}

?>