<?php

/**
 * This file is a part of com_tpniceslideshow package
 * Author: http://www.templateplazza.com
 * Creator: Jerry Wijaya ( me@jerrywijaya.com )
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class TPNiceSlideShowViewItem extends JView
{
	function display($tpl = null)
	{
		$item =& $this->get('Data');
		$lists =& $this->get('Lists');
		$isNew		= ($item->id < 1);

		$text = $isNew ? 'Add New Item':'Edit Item';
		JToolBarHelper::title( JText::_( $text ) );

		JToolBarHelper::save();
		if ($isNew)  {
			JToolBarHelper::cancel();
		} else {
			// for existing items the button is renamed `close`
			JToolBarHelper::cancel( 'cancel', 'Close' );
		}

		$this->assignRef('item', $item);
		$this->assignRef('lists', $lists);

		parent::display($tpl);
	}
}