<?php
/**
* @version		$Id: admin.tptop_item.html.php 
* @package		Joomla
* @subpackage	TopItem
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
* @package		Joomla
* @subpackage	Top Item
*/
class HTML_tptop_item
{
	function showCategory( &$rows, &$pageNav, $option)
	{
		
		
		$user =& JFactory::getUser();

		
		?>
		<form action="index.php?option=com_tptopitem" method="post" name="adminForm">	

		
			
			
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'ID' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="40%" align="left">
						<?php echo JText::_( 'Category Title' ); ?>
					</th>
					<th width="30%" align="left">
						<?php echo JText::_( 'Field2 Title' ); ?>
					</th>
					<th width="30%" align="left">
						<?php echo JText::_( 'Field3 Title' ); ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="5">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link 		= JRoute::_( 'index.php?option=com_tptopitem&task=edit&cid[]='. $row->id );
				$checked 	= JHTML::_('grid.checkedout', $row, $i );
				

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link; ?>"><?php echo $row->category_title; ?></a> 					
					</td>
					<td>
					<?php echo $row->field2_title; ?>
					</td>
					<td>
					<?php echo $row->field3_title; ?>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
	}
	
	function editCategory( $row, $option, $params ) {
	?>
	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.category_title.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill category name.', true ); ?>" );			
			} else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
	<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Category Title' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="category_title" id="category_title" size="60" maxlength="255" value="<?php echo $row->category_title; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Field2 Title' ); ?>:
						</label>
					</td>
					<td><input class="inputbox" type="text" name="field2_title" id="field2_title" size="60" maxlength="255" value="<?php echo $row->field2_title; ?>" /></td>
				</tr>
				</tr>
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Field3 Title' ); ?>:
						</label>
					</td>
					<td><input class="inputbox" type="text" name="field3_title" id="field3_title" size="60" maxlength="255" value="<?php echo $row->field3_title; ?>" /></td>
					
				</tr>
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savecateg" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
	}
	
	function showItem( &$rows, &$pageNav, $option,$clist,$header)
	{
		
		
		$user =& JFactory::getUser();		
		$ordering =1;
		?>
		
		<form action="index.php?option=com_tptopitem" method="post" name="adminForm">	

			<table>
			<tr>
			<td width="99%" align="right">
			Category :
			</td>
			<td nowrap="nowrap"  align="right">
				
				<?php
				echo $clist;
				
				?>
			</td>
			</tr>
			</table>
			
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'ID' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="30%" align="left">
						<?php echo $header->category_title ? $header->category_title : JText::_( 'Category' ); ?>
					</th>
					<th width="30%" align="left">
						<?php echo $header->field2_title ? $header->field2_title : JText::_( 'Field2' ); ?>

					</th>
					<th width="30%" align="left">
						<?php echo $header->field3_title ? $header->field3_title : JText::_( 'Field3' ); ?>
					</th>
					<th width="10%" align="left">
						Order Rank
						<?php echo JHTML::_('grid.order',  $rows ); ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="6">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link 		= JRoute::_( 'index.php?option=com_tptopitem&task=edititem&cid[]='. $row->id );
				$checked 	= JHTML::_('grid.checkedout', $row, $i );
				

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link; ?>"><?php echo $row->item; ?></a> 					
					</td>
					<td>
					<?php echo $row->field2; ?>
					</td>
					<td>
					<?php echo $row->field3; ?>
					</td>
					
					<td>
					<span><?php echo $pageNav->orderUpIcon( $i, ($row->category_id == @$rows[$i-1]->category_id), 'orderup', 'Move Up', $ordering); ?></span>
						<span><?php echo $pageNav->orderDownIcon( $i, $n, ($row->category_id == @$rows[$i+1]->category_id), 'orderdown', 'Move Down', $ordering ); ?></span>
						<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
						<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled; ?> class="text_area" style="text-align: center" />
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="items" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
	}
	
	
	function editItem($row, $option, $header ) {
	
	$editor =& JFactory::getEditor();
	JFilterOutput::objectHTMLSafe( $row );
	?>
	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton)
		{
			var form = document.adminForm;

			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			var description = <?php echo $editor->getContent( 'description' ); ?>
			if (form.category_id.value == "0"){
				alert( "<?php echo JText::_( 'Category cannot empty', true ); ?>" );
			}	
			
			else if (form.item.value == ""){
				alert( "<?php echo JText::_( 'Item cannot empty', true ); ?>" );
			}	
			
					
			 else {
				<?php
				echo $editor->save('description');
				?>
				submitform( pressbutton );
			}
		}

		//-->
		</script>
		
		
	<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_('Category'); ?>:
							
						</label>
					</td>
					<td>
						<?php echo $header?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_('Item'); ?>:
							
						</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="item" id="item" size="60" maxlength="255" value="<?php echo $row->item; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_('Field2'); ?>:
						</label>
					</td>
					<td><input class="inputbox" type="text" name="field2" id="field2" size="60" maxlength="255" value="<?php echo $row->field2; ?>" /></td>
				</tr>
				</tr>
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_('Field3'); ?>:
						</label>
					</td>
					<td><input class="inputbox" type="text" name="field3" id="field3" size="60" maxlength="255" value="<?php echo $row->field3; ?>" /></td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_('Rank'); ?>:
						</label>
					</td>
					<td><input class="inputbox" type="text" name="ordering" id="ordering" size="15" maxlength="15" value="<?php echo $row->ordering; ?>" /></td>
				</tr>
				
				<tr>
					<td class="key" valign="top">
						<label for="name">
							<?php echo JText::_('Description'); ?>:
						</label>
					</td>
					<td><?php echo $editor->display( 'description',$row->description ,'100%', '550', '75', '20') ;?></td>
				</tr>
				
				
				
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="saveitem" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
			
	
	<?php
	
	}

}
?>