<?php

/**
 * @version		$Id: controller.php 10094 2008-03-02 04:35:10Z instance $
 * @package  	Joomla
 * @subpackage	Banners
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant to the
 * GNU General Public License, and as distributed it includes or is derivative
 * of works licensed under the GNU General Public License or other free or open
 * source software licenses. See COPYRIGHT.php for copyright notices and
 * details.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.controller' );

class TpTopItemController extends JController
{
	function display()
	{
		global $mainframe;
		$db	= & JFactory::getDBO();
		
		$bid = JRequest::getInt( 'bid', 0 );
		
		
		require_once(JPATH_COMPONENT.DS.'views'.DS.'item.php');
		
		switch ($this->getTask()){
				case 'viewtopdetail':					
					$item =& JTable::getInstance('item','Table');
					$item->load($bid);
		
					$categ =& JTable::getInstance('category','Table');
					$categ->load($item->category_id);
					TPTopItemView::ViewItem($item,$categ);
					break;
				
				case 'viewtopitem':
					
					$query = 'SELECT id,item,field2,field3'.
	          			 	' FROM  #__tptop_item '.
							' WHERE category_id ='.$bid;	
													
					
					$db->setQuery($query);
					$rows = $db->loadObjectList();
					
					$header =& JTable::getInstance('category','Table');
					$header->load($bid);
		
					TPTopItemView::ViewListItem($rows,$header);
				break;
				
				default:					
					$query = 'SELECT id,category_title,field2_title,field3_title'.
	          			 	' FROM  #__tptop_category ';	
	
					$db->setQuery($query);
					$rows = $db->loadObjectList();
					TPTopItemView::ViewCategory($rows);
				break;
		}
		
		
			
		
		
		
	}
}
?>