<?php

/**
* Copyright (C) 2008 TemplatePlazza.com
* This file is part of the TPNiceSlideShow Component for Joomla 1.0.x,
* a Joomla! TPNiceSlideShow Component by TemplatePlazza.com
* Author: Jerry Wijaya (me@jerrywijaya.com)
* Email: info@templateplazza.com
*/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

class HTML_TPNICESLIDESHOWCATEGORIES {
	function show($rows, $pageNav) {
    global $option, $database;
 		mosCommonHTML::loadOverlib();
	  ?>
    <form action="index2.php" method="post" name="adminForm">
		<table class="adminheading">
			<tr>
			  <th class="categories">TP Nice Slide Show Category Manager</th>
		  </tr>
	  </table>
	  <table class="adminlist">
			<tr>
				<th width="10" align="left">#</th>
				<th width="20"><input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count( $rows );?>);" /></th>
				<th class="title">Title</th>
				<th class="title">Image Max Width</th>
				<th class="title">Image Max Height</th>
				<th class="title">Thumb Max Width</th>
				<th class="title">Thumb Max Height</th>
			</tr>
			<?php
			$k = 0;
			$nullDate = $database->getNullDate();
			for ($i=0, $n=count( $rows ); $i < $n; $i++) {
				$row 	= &$rows[$i];
				mosMakeHtmlSafe($row);
	
				$link = 'index2.php?option='. $option . '&act=categories&task=edit&hidemainmenu=1&cid='. $row->id;
				$row->checked_out = null;
				$checked 	= mosCommonHTML::CheckedOutProcessing( $row, $i );
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td><?php echo $pageNav->rowNumber( $i ); ?></td>
					<td><?php echo $checked; ?></td>
					<td><a href="<?php echo $link; ?>"><?php echo stripslashes( $row->title ); ?> </a></td>
					<td><?php echo $row->img_max_width; ?> px</td>
					<td><?php echo $row->img_max_height; ?> px</td>
					<td><?php echo $row->thumb_max_width; ?> px</td>
					<td><?php echo $row->thumb_max_height; ?> px</td>
					<?php
					$k = 1 - $k;
					?>
				</tr>
				<?php
			}
			?>
		</table>

		<?php echo $pageNav->getListFooter(); ?>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="act" value="categories" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="hidemainmenu" value="0" />
		</form>
    <?php
	}

	function edit($row) {
    global $option, $database;
    ?>
		<table class="adminheading">
		<tr>
		  <th class="categories"><? if ($row->id) { echo "Edit"; } else { echo "Add New"; }?> TP Nice Slide Show Category</th>
	  </tr>
	  </table>
		<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}
			
			// do field validation
			if (form.name.value == "") {
				alert( "You must provide a name." );
			} else {
				<?php getEditorContents( 'editor1', 'description' ) ; ?>
				submitform( pressbutton );
			}
		}
		</script>
		<form action="index2.php" method="post" name="adminForm" enctype="multipart/form-data">
	  <table class="adminlist">
		<tr>
			<th width="100%" align="left" nowrap><font color="#F00"><? if ($row->id) { echo "Edit"; } else { echo "Add New"; }?> TP Nice Slide Show Category</font></th>
		</tr>
		<tr>
			<td>
				<table style="width: 100%; border: none">
					<tr>
						<td width="10%" style="border: none">Title:</td>
						<td width="90%" style="border: none"><input type="text" name="title" value="<? echo $row->title; ?>" size="20" maxlength="255"></td>
					</tr>
					<tr>
						<td width="10%" style="border: none">Image Max Width:</td>
						<td width="90%" style="border: none"><input type="text" name="img_max_width" value="<? echo $row->img_max_width; ?>" size="5" maxlength="5"> px</td>
					</tr>
					<tr>
						<td width="10%" style="border: none">Image Max Height:</td>
						<td width="90%" style="border: none"><input type="text" name="img_max_height" value="<? echo $row->img_max_height; ?>" size="5" maxlength="5"> px</td>
					</tr>
					<tr>
						<td width="10%" style="border: none">Thumb Max Width:</td>
						<td width="90%" style="border: none"><input type="text" name="thumb_max_width" value="<? echo $row->thumb_max_width; ?>" size="5" maxlength="5"> px</td>
					</tr>
					<tr>
						<td width="10%" style="border: none">Thumb Max Height:</td>
						<td width="90%" style="border: none"><input type="text" name="thumb_max_height" value="<? echo $row->thumb_max_height; ?>" size="5" maxlength="5"> px</td>
					</tr>
			</table>
			</td>
		</tr>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="act" value="categories" />
		<input type="hidden" name="id" value="<? echo $row->id; ?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="hidemainmenu" value="0" />
		</form>
		</table>
    <?php
	}
}

class HTML_TPNICESLIDESHOWITEMS {
	function show($rows, $pageNav, $lists) {
    global $option, $database;
 		mosCommonHTML::loadOverlib();
	  ?>
    <form action="index2.php" method="post" name="adminForm">
		<table class="adminheading">
			<tr>
			  <th class="categories">TP Nice Slide Show Items Manager</th>
		  </tr>
	  </table>
		<table width="100%">
			<tr>
			  <td align="left" width="50%">
				Filter: <input type="text" name="search" id="search" value="<?php echo $lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" title="Search by Title"/>
				<button onclick="this.form.submit();">Go</button>
			  </td>
			  <td align="right" width="50%"><?php echo $lists['category']; ?></td>
		  </tr>
	  </table>
	  <table class="adminlist">
			<tr>
				<th width="10" align="left">#</th>
				<th width="20"><input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count( $rows );?>);" /></th>
				<th class="title">Title On Menu</th>
				<th class="title">Title On Slide</th>
				<th class="title">Category</th>
				<th width="1%">Published</th>
				<th colspan="2" align="center" width="5%">
				Reorder
				</th>
				<th width="2%">
				Order
				</th>
				<th width="1%">
				<a href="javascript: saveorder( <?php echo count( $rows )-1; ?> )"><img src="images/filesave.png" border="0" width="16" height="16" alt="Save Order" /></a>
				</th>
			</tr>
			<?php
			$k = 0;
			$nullDate = $database->getNullDate();
			for ($i=0, $n=count( $rows ); $i < $n; $i++) {
				$row 	= &$rows[$i];
				mosMakeHtmlSafe($row);
	
				$link = 'index2.php?option='. $option . '&act=items&task=edit&hidemainmenu=1&cid='. $row->id;
				$row->checked_out = null;
				$checked 	= mosCommonHTML::CheckedOutProcessing( $row, $i );
				$published 	= mosCommonHTML::PublishedProcessing( $row, $i );
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td><?php echo $pageNav->rowNumber( $i ); ?></td>
					<td><?php echo $checked; ?></td>
					<td><a href="<?php echo $link; ?>"><?php echo stripslashes( $row->title_on_link ); ?> </a></td>
					<td><?php echo $row->title_on_body; ?></td>
					<td><?php echo $row->categoryName; ?></td>
					<td><?php echo $published; ?></td>
					<td>
					<?php echo $pageNav->orderUpIcon( $i ); ?>
					</td>
					<td>
					<?php echo $pageNav->orderDownIcon( $i, $n ); ?>
					</td>
					<td align="center" colspan="2">
					<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align: center" />
					</td>
					<?php
					$k = 1 - $k;
					?>
				</tr>
				<?php
			}
			?>
		</table>

		<?php echo $pageNav->getListFooter(); ?>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="act" value="items" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="hidemainmenu" value="0" />
		</form>
    <?php
	}

	function edit($row, $lists) {
    global $option, $database, $mosConfig_live_site;
		mosCommonHTML::loadCalendar();
    ?>
		<table class="adminheading">
		<tr>
		  <th class="categories"><? if ($row->id) { echo "Edit"; } else { echo "Add New"; }?> Item</th>
	  </tr>
	  </table>
		<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}
			
			// do field validation
			if (form.category.selectedIndex<=0) {
				alert( "You must select a category." );
			} else if (form.title_on_link.value == "") {
				alert( "You must provide a title on menu." );
			} else if (form.desc_on_link.value == "") {
				alert( "You must provide a desc on menu." );
			} else if (form.title_on_body.value == "") {
				alert( "You must provide a title on slide." );
			<?
			if(!$row->id) {
			?>
			} else if (form.imagefile.value == "") {
				alert( "You must provide a image file." );
			<?
			}
			?>
			} else if (form.link.value == "") {
				alert( "You must provide a link." );
			} else {
				<?php getEditorContents( 'editor1', 'desc_on_body' ) ; ?>
				submitform( pressbutton );
			}
		}
		</script>
		<form action="index2.php" method="post" name="adminForm" enctype="multipart/form-data">
	  <table class="adminlist">
		<tr>
			<th width="100%" align="left" nowrap><font color="#F00"><? if ($row->id) { echo "Edit"; } else { echo "Add New"; }?> Item</font></th>
		</tr>
		<tr>
			<td>
				<table style="width: 100%; border: none">
					<tr>
						<td width="10%" style="border: none">Category:</td>
						<td width="90%" style="border: none">
							<?php echo $lists['category']; ?>
						</td>
					</tr>
					<tr>
						<td width="10%" style="border: none">Title on Menu:</td>
						<td width="90%" style="border: none"><input type="text" name="title_on_link" value="<? echo $row->title_on_link; ?>"></td>
					</tr>
					<tr>
						<td width="10%" style="border: none">Desc on Menu:</td>
						<td width="90%" style="border: none"><input type="text" name="desc_on_link" value="<? echo $row->desc_on_link; ?>"></td>
					</tr>
					<tr>
						<td width="10%" style="border: none">Title on Slide:</td>
						<td width="90%" style="border: none"><input type="text" name="title_on_body" value="<? echo $row->title_on_body; ?>"></td>
					</tr>
					<tr>
						<td width="10%" style="border: none" valign="top">Desc on Slide:</td>
						<td width="90%" style="border: none">
							<?php editorArea( 'editor1', $row->desc_on_body, 'desc_on_body', '600', '150', '75', '20' ) ; ?>
						</td>
					</tr>
					<?php
					if($row->image) {
					?>
					<tr>
						<td style="border: none"></td>
						<td style="border: none"><img src="<?php echo $mosConfig_live_site; ?>/images/tpniceslideshow/resized/<?php echo $row->image; ?>" border="0"></td>
					</tr>
					<?
					}
					?>
					<tr>
						<td width="10%" style="border: none">Upload Image:</td>
						<td width="90%" style="border: none"><input type="file" name="imagefile"></td>
					</tr>
					<tr>
						<td width="10%" style="border: none">Link:</td>
						<td width="90%" style="border: none"><input type="text" name="link" value="<? echo $row->link; ?>"></td>
					</tr>
					<tr>
						<td width="10%" style="border: none">Publish:</td>
						<td width="90%" style="border: none"><input type="checkbox" value="1" name="published"<? echo ($row->published)?' checked="checked"':''; ?>></td>
					</tr>
				</table>
			</td>
		</tr>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="act" value="items" />
		<input type="hidden" name="id" value="<? echo $row->id; ?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="image" value="<?php echo $row->image; ?>" />
		<input type="hidden" name="hidemainmenu" value="0" />
		</form>
		</table>
    <?php
	}
}

class HTML_TPNICESLIDESHOW {
	function viewDefaultPage() {
	?>
  <table class="adminheading">
		<tr>
			<th class="cpanel" rowspan="2" nowrap>TP Nice Slide Show</th>
	  </tr>
	</table>
  <table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminform">
	  <tr valign="top">
	    <td width="660">
	    <div id="cpanel">

	      <div style="float:left;">
	      <div class="icon">
  			<a href="index2.php?option=com_tpniceslideshow&act=categories">
  				<div class="iconimage">
  					<img src="components/com_tpniceslideshow/images/categories.png" alt="Categories" align="middle" name="categories" border="0" /></div>
  					Categories</a>
  		  </div>
  		  </div>
  		  
	      <div style="float:left;">
	      <div class="icon">
  			<a href="index2.php?option=com_tpniceslideshow&controller=items">
  				<div class="iconimage">
  					<img src="components/com_tpniceslideshow/images/items.png" alt="Items" align="middle" name="items" border="0" /></div>
  					Items</a>
  		  </div>
  		  </div>

	    </div>
	    </td>
	    <td>
	      <table cellpadding="4" cellspacing="0" border="1" class="adminform">
	      <tr>
	        <th colspan="2">TP Nice Slide Show Component</th>
	      </tr>
	      <tr class="row1">
	        <td>Creator</td>
	        <td><a href="http://www.jerrywijaya.com">Jerry Wijaya</a></td>
	      </tr>
	      <tr class="row1">
	        <td>Copyright</td>
	        <td>&copy; 2008 TemplatePlazza.com&nbsp;<a href="http://www.TemplatePlazza.com" target="_blank">TemplatePlazza.com</a></td>
	      </tr>
	      <tr class="row1">
	        <td>Support</td>
	        <td><a href="http://www.TemplatePlazza.com" target="_blank">Visit the website</a></td>
	      </tr>
	      <tr class="row1">
	        <td>Help</td>
	        <td><a href="http://www.TemplatePlazza.com" target="_blank">View Help Page</a></td>
	      </tr>
	      </table>

	    </td>
		</tr>
	</table>
	<?
	}
}