<?php
/**
 * @version		$Id: item.php
 * @package		Joomla
 * @subpackage	TopItem
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant to the
 * GNU General Public License, and as distributed it includes or is derivative
 * of works licensed under the GNU General Public License or other free or open
 * source software licenses. See COPYRIGHT.php for copyright notices and
 * details.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );


/**
 * @package		Joomla
 * @subpackage	TopItem
 */
class TableItem extends JTable
{
	/** @var int Primary key */
	var $id 					= null;
	/** @var int */
	var $category_id 		    = null;
	/** @var string */
	var $item					= null;
	/** @var string */
	var $field2 				= null;
	/** @var string */
	var $field3					= null;
	/** @var string */
	var $description			= null;
	/** @var int */
	var $ordering 		    		= null;
	
	/**
	* @param database A database connector object
	*/
	function __construct(&$db)
	{
		parent::__construct( '#__tptop_item', 'id', $db );
	}
	
	
}
