<?php

/**
 * This file is a part of com_tpniceslideshow package
 * Author: http://www.templateplazza.com
 * Creator: Jerry Wijaya ( me@jerrywijaya.com )
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$editor = &JFactory::getEditor();
JFilterOutput::objectHTMLSafe( $this->item );
JHTML::_('behavior.calendar');
?>

<script language="javascript" type="text/javascript">
<!--

function submitbutton(pressbutton){
	var form = document.adminForm;

	if (pressbutton == 'cancel') {
		submitform( pressbutton );
		return;
	}
			
	// do field validation
	var desc_on_body = <?php echo $editor->getContent( 'desc_on_body' ); ?>
	if (form.category.selectedIndex == 0){
		alert( "<?php echo JText::_( 'Item must have a category', true ); ?>" );
	} else if (form.title_on_link.value == ""){
		alert( "<?php echo JText::_( 'Item must have a title on link', true ); ?>" );
	} else if (form.desc_on_link.value == ""){
		alert( "<?php echo JText::_( 'Item must have a description on link', true ); ?>" );
	} else if (form.title_on_body.value == ""){
		alert( "<?php echo JText::_( 'Item must have a title on body', true ); ?>" );
	} else if (desc_on_body == ""){
		alert( "<?php echo JText::_( 'Item must have a description on body', true ); ?>" );
	} else if (form.link.value == ""){
		alert( "<?php echo JText::_( 'Item must have a link', true ); ?>" );
	} else {
		<?php
		echo $editor->save( 'desc_on_body' );
		?>
		submitform( pressbutton );
	}
		
}
//-->
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
<div class="col100">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'Item Details' ); ?></legend>

		<table class="admintable">
		<tr>
			<td width="100" align="right" class="key">
				<label for="category">
					<?php echo JText::_( 'Category' ); ?>:
				</label>
			</td>
			<td>
				<?php echo $this->lists['category']; ?>
			</td>
		</tr>

		<tr>
			<td width="100" align="right" class="key">
				<label for="title_on_link">
					<?php echo JText::_( 'Title on Menu' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="title_on_link" id="title_on_link" size="32" maxlength="250" value="<?php echo $this->item->title_on_link;?>" />
			</td>
		</tr>

		<tr>
			<td width="100" align="right" class="key">
				<label for="desc_on_link">
					<?php echo JText::_( 'Desc on Link' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="desc_on_link" id="desc_on_link" size="32" maxlength="250" value="<?php echo $this->item->desc_on_link;?>" />
			</td>
		</tr>

		<tr>
			<td width="100" align="right" class="key">
				<label for="desc_on_link">
					<?php echo JText::_( 'Title on Slide' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="title_on_body" id="title_on_body" size="32" maxlength="250" value="<?php echo $this->item->title_on_body;?>" />
			</td>
		</tr>

		<tr>
			<td width="100" align="right" class="key">
				<label for="desc_on_link">
					<?php echo JText::_( 'Desc on Slide' ); ?>:
				</label>
			</td>
			<td>
				<?php echo $editor->display( 'desc_on_body', $this->item->desc_on_body , '100%', '150', '75', '20' ) ; ?>
			</td>
		</tr>
		<?
		if($this->item->image) {
		?>
		<tr>
			<td width="100" align="right" class="key">
			</td>
			<td>
				<img src="../images/tpniceslideshow/resized/<?php echo $this->item->image; ?>" border="0">
				<input type="hidden" name="image" value="<?php echo $this->item->image; ?>">
			</td>
		</tr>
		<?
		}
		?>
		<tr>
			<td width="100" align="right" class="key">
				<label for="imagefile">
					<?php echo JText::_( 'Upload Image' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="file" name="imagefile" id="imagefile" size="32" maxlength="250" value="" />
			</td>
		</tr>

		<tr>
			<td width="100" align="right" class="key">
				<label for="image">
					<?php echo JText::_( 'Link' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="link" id="link" size="32" maxlength="250" value="<?php echo $this->item->link;?>" />
			</td>
		</tr>

		<tr>
			<td width="100" align="right" class="key">
				<label for="published">
					<?php echo JText::_( 'Publish' ); ?>:
				</label>
			</td>
			<td>
				<?php echo TPNiceSlideShowHelper::Published($this->item); ?>:
			</td>
		</tr>

	</table>
	</fieldset>
</div>
<div class="clr"></div>

<input type="hidden" name="option" value="com_tpniceslideshow" />
<input type="hidden" name="id" value="<?php echo $this->item->id; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="items" />
</form>
