<?php

/**
 * This file is a part of com_tpniceslideshow package
 * Author: http://www.templateplazza.com
 * Creator: Jerry Wijaya ( me@jerrywijaya.com )
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class TPNiceSlideShowViewCategory extends JView
{
	function display($tpl = null)
	{
		$category		=& $this->get('Data');
		$isNew		= ($category->id < 1);

		$text = $isNew ? 'Add New Category':'Edit Category';
		JToolBarHelper::title( JText::_( $text ) );
		
		JToolBarHelper::save();
		if ($isNew)  {
			JToolBarHelper::cancel();
		} else {
			// for existing items the button is renamed `close`
			JToolBarHelper::cancel( 'cancel', 'Close' );
		}

		$this->assignRef('category', $category);

		parent::display($tpl);
	}
}
