<?

/**
 * This file is a part of com_tpniceslideshow package
 * Author: http://www.templateplazza.com
 * Creator: Jerry Wijaya ( me@jerrywijaya.com )
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

?>

<form action="index.php" method="post" name="adminForm">
<div id="editcell">
	<table>
		<tr>
			<td width="100%">
				<?php echo JText::_( 'Filter' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" title="<?php echo JText::_( 'Filter by Title' );?>"/>
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
			</td>
			<td nowrap="nowrap">
				<?php
				echo $this->lists['category'];
				?>
			</td>
		</tr>
	</table>

	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo JText::_( 'ID' ); ?>
			</th>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
			</th>			
			<th>
				<?php echo JText::_( 'Title on Menu' ); ?>
			</th>
			<th>
				<?php echo JText::_( 'Title on Slide' ); ?>
			</th>
			<th>
				<?php echo JText::_( 'Category' ); ?>
			</th>
			<th>
				<?php echo JText::_( 'Published' ); ?>
			</th>
			<th>
				<?php echo JText::_( 'Ordering' ); ?>
				<?php echo JHTML::_('grid.order',  $this->items); ?>
			</th>
		</tr>			
	</thead>
	<?php
	$k = 0;
	for ($i=0, $n=count( $this->items ); $i < $n; $i++)
	{		$row = &$this->items[$i];
		$checked 	= JHTML::_('grid.id',   $i, $row->id );
		$link 		= JRoute::_( 'index.php?option=com_tpniceslideshow&controller=items&task=edit&cid[]='. $row->id );
		$published = JHTML::_('grid.published', $row, $i );

		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $row->id; ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td>
				<a href="<?php echo $link; ?>"><?php echo $row->title_on_link; ?></a>
			</td>
			<td>
				<a href="<?php echo $link; ?>"><?php echo $row->title_on_body; ?></a>
			</td>
			<td>
				<?php echo $row->cname; ?>
			</td>
			<td align="center">
				<?php echo $published;?>
			</td>
			<td class="order">
				<span><?php echo $this->page->orderUpIcon( $i, true, 'orderup', 'Move Up', true ); ?></span>
				<span><?php echo $this->page->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', true ); ?></span>
				<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align: center" />
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
			<tr>
				<td colspan="10">
					<?php echo $this->page->getListFooter(); ?>
				</td>
			</tr>
	</table>
</div>

<input type="hidden" name="option" value="com_tpniceslideshow" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="items" />
</form>