<?php

// This file is a part of mod_tpniceslideshow package
// Author: http://www.templateplazza.com
// Creator: Jerry Wijaya  me@jerrywijaya.com 

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

class modTPNiceSlideShowHelper {
	function getList(&$params){
		global $database, $mosConfig_live_site;
		$catid = (int) $params->get( 'catid' );
		$order_item_by = $params->get( 'order_item_by' );
		$sort_item_by = $params->get( 'sort_item_by' );
		$query = "SELECT * FROM #__tpniceslideshow_items WHERE category=$catid AND published=1 ORDER BY $order_item_by $sort_item_by";
		$database->setQuery( $query );
		$data = $database->loadObjectList();
		if(count($data)) {
			injectCustomHeadTags( '<link rel="stylesheet" type="text/css" href="'. $mosConfig_live_site . '/modules/tpniceslideshow/tpniceslideshow.css" title="default" />' );
			if($params->get('load_mootools')) {
				injectCustomHeadTags( '<script type="text/javascript" src="'. $mosConfig_live_site . '/modules/tpniceslideshow/mootools.js"></script>' );
			}
			injectCustomHeadTags( '<script type="text/javascript" src="'. $mosConfig_live_site . '/modules/tpniceslideshow/tpniceslideshow.js"></script>' );

			$slide_width  = ((int) $params->get( 'slide_width' )) ? (int) $params->get( 'slide_width' ) : 460;
			$slide_height = ((int) $params->get( 'slide_height' )) ? (int) $params->get( 'slide_height' ) : 360;
			$slide_float 	= $params->get( 'slide_float' );

			$info_width  	 = ((int) $params->get( 'info_width' )) ? (int) $params->get( 'info_width' ) : 0;
			$info_height 	 = ((int) $params->get( 'info_height' )) ? (int) $params->get( 'info_height' ) : 0;
			$info_bg 		 	 = $params->get( 'info_bg' );
			$info_position = $params->get( 'info_position' );

			$info_top 	 = ((int) $params->get( 'info_top' )) ? (int) $params->get( 'info_top' ) : 0;
			$info_bottom = ((int) $params->get( 'info_bottom' )) ? (int) $params->get( 'info_bottom' ) : 0;
			$info_left 	 = ((int) $params->get( 'info_left' )) ? (int) $params->get( 'info_left' ) : 0;
			$info_right  = ((int) $params->get( 'info_right' )) ? (int) $params->get( 'info_right' ) : 0;

			$menu_width  	 = ((int) $params->get( 'menu_width' )) ? (int) $params->get( 'menu_width' ) : 0;
			$menu_height 	 = ((int) $params->get( 'menu_height' )) ? (int) $params->get( 'menu_height' ) : 0;
			$thumb_float 	 = $params->get( 'thumb_float' );

			$scroll_width  	 = ((int) $params->get( 'scroll_width' )) ? (int) $params->get( 'scroll_width' ) : 0;
			
			$width_tpnss = ((int) $params->get( 'show_menu' )) ? $slide_width + $menu_width : $slide_width;

			$show_scroll = (($menu_height*count($data)) > $slide_height );
			$browser = get_browser();
			if($browser->browser == 'IE' AND $browser->majorver == '6') {
				$slide_width = ($show_scroll) ? $slide_width - ($scroll_width + 2) : $slide_width - 2;
			} else {
				$slide_width = ($show_scroll) ? $slide_width - $scroll_width : $slide_width;
			}
			
			$customCSS = '
			<style type="text/css">
			.TPNSSwrapper {
				width: '.$width_tpnss.'px;
			}

			#TPNiceSlideShowMenu div img {
				float: '.$thumb_float.';
				margin:  8px;

			}
			';
			
			$customCSS .= '
			#TPNiceSlideShowMenu div {
			';

			if($menu_height>0) {
			$customCSS .= '
				height: '.$menu_height.'px;
			';
			}

			if($menu_width>0) {
			$customCSS .= '
				width: '.$menu_width.'px;
			';
			}
			
			$customCSS .= '
			}
			';


			$customCSS .= '
			
			.TPNiceSlideShowMenuContent {
			text-align: '.$thumb_float.';
			}
			';
			
			
			$customCSS .= '
			#TPNiceSlideShow {
				height: '.$slide_height.'px;
				width: '.$slide_width.'px;
				float: '.$slide_float.';
			}
			
			#TPNiceSlideShowMenuWrp {
				height: '.$slide_height.'px;
				width: '.$menu_width.'px;
				overflow:hidden;
			}
			';
			
			if($show_scroll) {
			$customCSS .= '
			.tpniceslideshow_scrollbar-vert{
				height: '.$slide_height.'px;
				width: '.$scroll_width.'px;
				float:right;
			}

			.tpniceslideshow_handle-vert{
				width: '.$scroll_width.'px;
			}
			';
			}
			
			$customCSS .= '
			.TPNiceSlideShowGallery .slideInfoZone {
			';

			if($info_height>0) {
			$customCSS .= '
				height: '.$info_height.'px;
			';
			}

			if($info_width>0) {
			$customCSS .= '
				width: '.$info_width.'px;
			';
			}

			if($info_bg) {
			$customCSS .= '
				background: '.$info_bg.';
			';
			}
			
			switch($info_position) {
				case 'topleft':
					$customCSS .= '
						position: relative;
						float: left;
						top: '.$info_top.'px;
						left: '.$info_left.'px;
					';
					break;
				case 'topright':
					$customCSS .= '
						position: relative;
						float: right;
						top: '.$info_top.'px;
						right: '.$info_right.'px;
					';
					break;
				case 'bottomleft':
					$customCSS .= '
						position: absolute;
						bottom: '.$info_bottom.'px;
						left: '.$info_left.'px;
					';
					break;
				case 'bottomright':
					$customCSS .= '
						position: absolute;
						bottom: '.$info_bottom.'px;
						right: '.$info_right.'px;
					';
					break;
				case 'center':
					$customCSS .= '
					position: absolute;
					left: 50%;
					top: 50%;
					margin-top: -'.($info_height/2).'px;
     			margin-left: -'.($info_width/2).'px;
					';
					break;
				case 'topcenter':
					$customCSS .= '
					position: absolute;
					left: 50%;
					top: '.$info_top.'px;
     			margin-left: -'.($info_width/2).'px;
					';
					break;
				case 'bottomcenter':
					$customCSS .= '
					position: absolute;
					left: 50%;
					bottom: '.$info_bottom.'px;
     			margin-left: -'.($info_width/2).'px;
					';
					break;
				case 'leftmiddle':
					$customCSS .= '
					position: absolute;
					top: 50%;
					left: '.$info_left.'px;
     			margin-top: -'.($info_height/2).'px;
					';
					break;
				case 'rightmiddle':
					$customCSS .= '
					position: absolute;
					top: 50%;
					right: '.$info_right.'px;
     			margin-top: -'.($info_height/2).'px;
					';
					break;
			}
			
			$customCSS .= '
			}
			</style>
			';
			injectCustomHeadTags( $customCSS );
			
			$timed = ((int) $params->get( 'timed' ))?'true':'false';
			$showInfoPane = ((int) $params->get( 'show_info_pane' )) ? 'true' : 'false';
			$showMenu = ((int) $params->get( 'show_menu' )) ? 'true' : 'false';
			$embedLinks = ((int) $params->get( 'embed_links' )) ? 'true' : 'false';
			$fadeDuration = ((int) $params->get( 'fade_duration' )) ? (int) $params->get( 'fade_duration' ) : 500;
			$readMore = ((int) $params->get( 'show_readmore_in_info_pane' )) ? 'true' : 'false';
			$showTitle = ((int) $params->get( 'show_title_in_info_pane' )) ? 'true' : 'false';
			$titleLink = ((int) $params->get( 'title_in_info_pane_linked' )) ? 'true' : 'false';
			$showDescription = ((int) $params->get( 'show_desc_in_info_pane' )) ? 'true' : 'false';
			$readMoreText = $params->get( 'readmore_text' );
			$delay = ((int) $params->get( 'delay' )) ? (int) $params->get( 'delay' ) : 5000;

			$customJS = '
			<script type="text/javascript">
			/* <![CDATA[ */
			function startTPNiceSlideShow() {
				var TPNiceSlideShow = new TPSlideShowClass($(\'TPNiceSlideShow\'), {
					timed: '.$timed.',
					showInfopane: '.$showInfoPane.',
					showMenu: '.$showMenu.',
					embedLinks: '.$embedLinks.',
					fadeDuration: '.$fadeDuration.',
					readMore: '.$readMore.',
					readMoreText: \''.$readMoreText.'\',
					showTitle: '.$showTitle.',
					titleLink: '.$titleLink.',
					showDescription: '.$showDescription.',
			';
			if($show_scroll) {
			$customJS .= '
					scrollBar: true,
					itemCount: '.count($data).',
					scrollBarContent:	$(\'TPNiceSlideShowMenuWrp\'),
					scrollBarArea: $(\'tpniceslideshow_scrollbar\'),
					scrollBarHandle: $(\'tpniceslideshow_handle\'),
			';
			}
			$customJS .= '
					delay: '.$delay.'
				});
			}
			window.onDomReady(startTPNiceSlideShow);
			';
			$customJS .= '
			/* ]]> */
			</script>
			';
			injectCustomHeadTags( $customJS );

			return $data;
		} else {
			return array();
		}
	}
}